Bug 862734 - Crashes on startup in Python dbus activation
Crashes on startup in Python dbus activation
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vim (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Karsten Hopp
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 08:29 EDT by Matěj Cepl
Modified: 2015-06-12 07:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-12 07:04:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log from fedpkg --dist el7 local on f19 branch (242.50 KB, text/plain)
2013-05-14 12:28 EDT, Matěj Cepl
no flags Details
Requested python file (17.51 KB, text/plain)
2013-05-15 09:26 EDT, Matěj Cepl
no flags Details
my ~/.vimrc (7.14 KB, text/plain)
2013-05-15 09:27 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2012-10-03 08:29:10 EDT
Description of problem:
vim -V20vimlog  /usr/lib/python2.7/site-packages/dbus/bus.py

gives:

Vim: Warning: Output is not to a terminal

ESC[?1049hESC[?1hESC=ESC[1;54rESC[?12;25hESC[?12lESC[?25hESC[27mESC[mESC[HESC[2JESC[?25lESC[54;1H"bus.py" [readonly] 445L, 17927CTraceback (most recent call last):
  File "/usr/lib64/python2.7/site.py", line 62, in <module>
    import os
  File "/usr/lib64/python2.7/os.py", line 49, in <module>
    import posixpath as path
  File "/usr/lib64/python2.7/posixpath.py", line 17, in <module>
    import warnings
  File "/usr/lib64/python2.7/warnings.py", line 8, in <module>
    import types
  File "types.py", line 6, in <module>
    from _dbus_bindings import (
ImportError: No module named _dbus_bindings

If I run vim -u /dev/null then the crash doesn't happen.

I would suspect some of my local modifications, but

wycliff:~ $ grep -ri dbus ~/.vim /usr/share/vim/
/home/matej/.vim/.netrwhist:let g:netrw_dirhist_5='/tmp/dbus'
wycliff:~ $ 

I don't see any plugin which would do anything with DBUS.

Version-Release number of selected component (if applicable):
vim-common-7.3.638-2.el7.x86_64
vim-enhanced-7.3.638-2.el7.x86_64
vim-filesystem-7.3.638-2.el7.x86_64
vim-minimal-7.3.638-2.el7.x86_64
vim-X11-7.3.638-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
vim crashes and doesn't start

Expected results:
just works without any complaints

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 11:35:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Karsten Hopp 2013-05-14 10:59:47 EDT
please try vim-7.3.944-1 and see if that fixes this issue. 
Feel free to re-open this bugzila if the problem still exists with the updated vim.
Comment 3 Matěj Cepl 2013-05-14 12:28:54 EDT
Created attachment 747761 [details]
build log from fedpkg --dist el7 local on f19 branch

(In reply to comment #2)
> please try vim-7.3.944-1 and see if that fixes this issue. 
> Feel free to re-open this bugzila if the problem still exists with the
> updated vim.

Where can I get this version/release for EL-7? Could I ask for a scratch build, please?

configure: WARNING: unrecognized options: --disable-dependency-tracking
+ make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/vim73 -j3
mkdir objects
CC="gcc -Iproto -DHAVE_CONFIG_H -DFEAT_GUI_GTK  -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz   -I/usr/local/include     " srcdir=. sh ./osdef.sh
creating auto/pathdef.c
/usr/bin/perl -e 'unless ( $] >= 5.005 ) { for (qw(na defgv errgv)) { print "#define PL_$_ $_\n" }}' > auto/if_perl.c
/usr/bin/perl /usr/share/perl5/ExtUtils/xsubpp -prototypes -typemap \
    /usr/share/perl5/ExtUtils/typemap if_perl.xs >> auto/if_perl.c
Can't open perl script "/usr/share/perl5/ExtUtils/xsubpp": No such file or directory
make: *** [auto/if_perl.c] Error 2
make: *** Waiting for unfinished jobs....
error: Bad exit status from /var/tmp/rpm-tmp.UET3xl (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.UET3xl (%build)
Could not execute local: Non zero exit
matej@wycliff: vim (f19 %)$
Comment 5 Matěj Cepl 2013-05-14 19:27:56 EDT
Exactly the same result:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site.py", line 62, in <module>
    import os
  File "/usr/lib64/python2.7/os.py", line 49, in <module>
    import posixpath as path
  File "/usr/lib64/python2.7/posixpath.py", line 17, in <module>
    import warnings
  File "/usr/lib64/python2.7/warnings.py", line 8, in <module>
    import types
  File "types.py", line 6, in <module>
    from _dbus_bindings import (
ImportError: No module named _dbus_bindings
Comment 6 Matěj Cepl 2013-05-14 19:28:49 EDT
I am more concerned why in the world OPENING of the script (not running it), would lead to the crash of the editor.
Comment 7 Karsten Hopp 2013-05-15 09:19:46 EDT
It doesn't crash for me, but my system is F18 which might make a difference here.

Could you attach /usr/lib/python2.7/site-packages/dbus/bus.py , please ? Or give me the output of 'rpm -qf /usr/lib/python2.7/site-packages/dbus/bus.py' ?

And please try again with vim -u NONE -U NONE /usr/lib/python2.7/site-packages/dbus/bus.py   to check if maybe some changes in a vimrc triggered this iisue.
Comment 8 Matěj Cepl 2013-05-15 09:26:00 EDT
Created attachment 748295 [details]
Requested python file
Comment 9 Matěj Cepl 2013-05-15 09:27:04 EDT
Created attachment 748296 [details]
my ~/.vimrc
Comment 10 Matěj Cepl 2013-05-15 09:31:38 EDT
(In reply to comment #7)
> Could you attach /usr/lib/python2.7/site-packages/dbus/bus.py , please ? Or
> give me the output of 'rpm -qf /usr/lib/python2.7/site-packages/dbus/bus.py'

dbus-python-1.1.1-5.el7.x86_64

> And please try again with vim -u NONE -U NONE
> /usr/lib/python2.7/site-packages/dbus/bus.py   to check if maybe some
> changes in a vimrc triggered this iisue.

With -u NONE -U NONE it works, so I guess it must be something about the configuration/customization. But I am really not aware of doing anything related to DBus in my ~/.vimrc. I generally use pathogen for my plugins, so it should be obvious what I have installed.

Also, doesn't -u NONE -U NONE switch compatible on, which switches off basically all extended facilities which could cause a problem, so it effectively masks the issue?

matej@wycliff: ~$ ls .vim/{bundle,ftplugin,plugin,syntax,spell,indent,autoload}/
.vim/autoload/:
pathogen.vim

.vim/bundle/:
AutoClose.vim  html5-natalian  TaskList.vim          vim-flake8     vimoutliner
closetag.vim   python-mode     vim-colors-solarized  vim-fugitive
ctrlp.vim      snipmate.vim    vim-dispatch          vim-makegreen

.vim/ftplugin/:
css_pretty.vim  json_tcms.vim  spec.vim

.vim/indent/:
html.vim  org.vim

.vim/plugin/:
dot.vim

.vim/spell/:
en.utf-8.add  en.utf-8.add.spl

.vim/syntax/:
git.vim  htmljinja.vim  javascript  json.vim       orgtodo.vim  wiki.vim
html     html.vim       jinja.vim   orgagenda.vim  org.vim
matej@wycliff: ~$
Comment 11 Karsten Hopp 2013-05-15 09:47:23 EDT
still no joy in reproducing this, even with your vimrc and bus.py.
Would you mind attaching a tarball of your .vim directory if there's nothing secret in there ?
Comment 13 Fedora End Of Life 2015-01-09 17:00:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Matěj Cepl 2015-01-10 10:40:38 EST
Still the same:
matej@mitmanek: ~$ vim -V20vimlog /usr/lib64/python2.7/site-packages/dbus/bus.py

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site.py", line 62, in <module>
    import os
  File "/usr/lib64/python2.7/os.py", line 49, in <module>
    import posixpath as path
  File "/usr/lib64/python2.7/posixpath.py", line 17, in <module>
    import warnings
  File "/usr/lib64/python2.7/warnings.py", line 8, in <module>
    import types
  File "types.py", line 6, in <module>
    from _dbus_bindings import (
ImportError: No module named _dbus_bindings
matej@mitmanek: ~$ rpm -qf /usr/lib64/python2.7/site-packages/dbus/bus.py
dbus-python-1.1.1-9.el7.x86_64
matej@mitmanek: ~$ rpm -qa vim\*
vim-filesystem-7.4.160-1.el7.x86_64
vim-minimal-7.4.160-1.el7.x86_64
vim-X11-7.4.160-1.el7.x86_64
vim-vimoutliner-0.3.7-5.el7.noarch
vim-enhanced-7.4.160-1.el7.x86_64
vim-common-7.4.160-1.el7.x86_64
matej@mitmanek: ~$

Refiling to RHEL7 for further investigation, so it is not just lost.

Note You need to log in before you can comment on or make changes to this bug.